<div id="items-container">
    <?php
    $im=new thumbnail_tool(CHEMIN,CACHE_VIGNETTES,APP."images/");

    $items=$this->getAsarray($name);
    $item=new yamlReadwriter();
    foreach($items as $item_url){
        // l'item a peut-être été supprimé!
        if(!file_exists(CONTENTS."items/".$item_url)){ continue; }
        $item->cleanContents();
        $item->loadYaml(getTemplate("structure_item.yaml")); // charger la structure complète
        $item->loadContentFromYaml(CONTENTS."items/".$item_url);

        $im->set_source(IMPORTS_URL.$item->getFile('illustration'));

        echo "<div data-source='".$item_url."' class='collectionitem fs-small'>";
        echo "<img src='".$im->vignette(VIGNETTE_W,VIGNETTE_H,false)."' class='img-object-fit aspectratio-21'>";
        echo "<div>".$item->get('titre')."</div>";
        echo "<input type='hidden' name='items[]' value='".$item_url."'>";
        echo "</div>";
    }
    ?>
</div> 